#
# spec file for package vdr-plugin-xineliboutput
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define pluginname xineliboutput
%define pluginurl http://sourceforge.net/projects/xineliboutput/
Name:           vdr-plugin-xineliboutput
Version:        2.1.0
Release:        lp152.4.3
Summary:        VDR %{pluginname} plugin
License:        GPL-2.0
Group:          Hardware/TV
Url:            %{pluginurl}
Source:         https://downloads.sourceforge.net/project/xineliboutput/xineliboutput/vdr-%{pluginname}-%{version}/vdr-%{pluginname}-%{version}.tgz
Source1:        remote.conf
Source2:        xineliboutput_allowed_hosts.conf
Patch1:         vdr-xineliboutput-2.1-pie.diff
Patch2:         xineliboutput-2.1.0...977ff0.diff
Patch3:         xineliboutput-git-bufferoverflow.diff
Patch4:         xineliboutput-15.2-glew.diff
BuildRequires:  Mesa-libGL-devel
BuildRequires:  Mesa-libGLU-devel
BuildRequires:  dbus-1-glib-devel
BuildRequires:  gcc-c++
BuildRequires:  libavutil-devel
BuildRequires:  libbluray-devel
BuildRequires:  libcap-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libvdpau-devel
BuildRequires:  pkg-config
BuildRequires:  vdr-devel
BuildRequires:  xine-devel
BuildRequires:  pkgconfig(libcec)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xinerama)
BuildRequires:  pkgconfig(xrandr)
BuildRequires:  pkgconfig(xrender)
BuildRequires:  pkgconfig(glew)
## these are asked for by configure but not present. Still everything works ;-)
#BuildRequires:  pkgconfig(xdpms)
#BuildRequires:  pkgconfig(xshape)
#BuildRequires:  pkgconfig(xshm)
# FIXME: use proper Requires(pre/post/preun/...)
PreReq:         %{vdr_prereq}
# only needef for packages that used the old naming scheme
Obsoletes:      vdr-%{pluginname} < %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Xinelib-based software output device for VDR. Supports X11 and Linux
framebuffer. Connects to vdr locally or over the network. This package includes
just the vdr-plugin.

%package -n vdr-xineliboutput-client
Summary:        Xinelib-based software output device for VDR - client
Group:          Hardware/TV

%description -n vdr-xineliboutput-client
Xinelib-based software output device for VDR. Supports X11 and Linux
framebuffer. Connects to vdr locally or over the network. This package includes
just the client programs.

%prep
%setup -q -n %{pluginname}-%{version}
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
cp %{SOURCE1} .

%build
# use msgmerge wrapper
export PATH=%{_datadir}/vdr:$PATH
# "gcc -std=c99" is needed by Leap 42.3 gcc
make %{?_smp_mflags} CC="gcc -std=c99"

%install
make install DESTDIR=%{buildroot}
%{vdr_find_locale}
install -D -m 0644 %{SOURCE2} %{buildroot}%{vdr_sysconfdir}/plugins/xineliboutput/allowed_hosts.conf

%post
if [ -e %{_docdir}/%{name}/remote.conf ] && ! grep -q XKeySym %{vdr_sysconfdir}/remote.conf; then
	cat %{_docdir}/%{name}/remote.conf >> %{vdr_sysconfdir}/remote.conf
fi
/bin/true

%files -f vdrlocale.files
%defattr(-,root,root)
%doc COPYING HISTORY README
%doc remote.conf
%attr(-,vdr,root) %dir %{vdr_sysconfdir}/plugins
%attr(-,vdr,root) %dir %{vdr_sysconfdir}/plugins/xineliboutput
%attr(-,vdr,root) %config(noreplace) %{vdr_sysconfdir}/plugins/xineliboutput/allowed_hosts.conf
%{_libdir}/vdr/*
%{vdr_dirs}

%files -n vdr-xineliboutput-client
%defattr(-,root,root)
%{_bindir}/*
%{_libdir}/xine/plugins/*
%{_libdir}/xine/plugins/*/post
%dir %{_libdir}/xine
%dir %{_libdir}/xine/plugins
%dir %{_libdir}/xine/plugins/*
%dir %{_libdir}/xine/plugins/*/post

%changelog
* Mon Mar  2 2020 Stefan Seyfried <seife+obs@b1-systems.com>
- add xineliboutput-15.2-glew.diff to fix build with Leap 15.2 Mesa
* Sat Feb 10 2018 seife+obs@b1-systems.com
- add xineliboutput-git-bufferoverflow.diff to fix buffer size
  calculation in rle_compress_argbrle()
* Sat Feb 10 2018 seife+obs@b1-systems.com
- add patch xineliboutput-2.1.0...977ff0.diff to commit 977ff04820
  from 2018-01-20
  * buffer overflow fixes
  * integer overflow fixes
  * memleak fixes
  * other bugfixes
* Fri Feb  9 2018 seife+obs@b1-systems.com
- fix build on Leap by adding -std=c99 compiler option
* Fri Feb  9 2018 seife+obs@b1-systems.com
- update to version 2.1.0 (2018-01-10):
  - Fixed HD buffering issues with recent xine-lib versions
  - Fixed concatenating multiple --post command line options
  - Fixed leaks
  - Added ARGB overlay compression
  - Added mapping of F11 key to fullscreen toggle (sxfe)
  - Added check for missing xine plugins
  - Improved stability and error resilence
  - Improved portability
  - Default to OpenGL 2 video output when available. Warn when
    inefficient video output is used
  - "Dust removal"
- add vdr-xineliboutput-2.1-pie.diff to build PIE executables
* Fri Feb  9 2018 seife+obs@b1-systems.com
- rework X11 buildrequires
* Sat Mar 18 2017 seife+obs@b1-systems.com
- update to version 2.0.0 (2017-03-12):
  - Support vdr-2.3.1
  - Dropped support for vdr < 2.0
  - Fixed problems with xine-lib 1.2.7+
  - Fixed ts demuxing with some video streams (Thanks to
    Niedermeier Guenter)
  - Fixed primary device switching
  - Fixed segfault when playing audio-only stream with
    visualization (Thanks to Tobias Grimm)
  - Fixed toggling fullscreen mode
  - Fixed lost post processing when stream is reconnected
  - Fixed HUD OSD crash with UHD resolution video output
  - Added mDNS announces (tested with VLC)
  - Added an option to trigger vdr-suspendoutput when there are no
    connected clients (needs vdr-plugin-suspendoutput >= 2.1)
  - Added HDMI-CEC input support (libcec)
  - Added support for cDevice::ScaleVideo()
  - Added an option to disable media player resume file creation
  - Added PRIM command into SVDRP interface
  - Added option to use True Color OSD when no client is connected
  - Added support for HEVC
  - Improved H.264 support
  - Bug fixes
  - Build system updates
  - Translation updates
- packaging:
  - updated build system now needs no more hacks, just "make"
  - removed xineliboutput-1.1.0-vdr-2.2.patch
  - build against libcec
* Sun Jun  7 2015 seife+obs@b1-systems.com
- really avoid build time in locale files (locales were rebuilt
  in %%install without using msgmerge wrapper, fixed by just doing
  everything in %%install)
* Wed Mar  4 2015 seife+obs@b1-systems.com
- add xineliboutput-1.1.0-vdr-2.2.patch to fix compile with VDR 2.2
* Thu Apr 10 2014 seife+obs@b1-systems.com
- simplify install, get rid of vdr_old_plugin_* macros
* Wed Apr  2 2014 seife+obs@b1-systems.com
- add allowed_hosts example config
- try to fix buildreq for SLES11 (libxine is still too old there)
* Sun Mar 30 2014 seife+obs@b1-systems.com
- avoid build time in locale files
* Sun Mar 30 2014 seife+obs@b1-systems.com
- use setup macro
- run spec-cleaner
* Fri Aug 30 2013 hpj@urpla.net
- update to 1.1.0
* Sun Apr  7 2013 hpj@urpla.net
- use balta3's vdr build environment for vdr2
* Fri Apr  5 2013 hpj@urpla.net
- update to 1.0.7
- apply CVS changes until today
* Tue Feb 14 2012 lnussel@suse.de
- add patch from Manfred Hollstein that adds -lpthread to fix build
* Mon Aug  2 2010 lnussel@suse.de
- install frontend libraries (bnc#625399)
* Thu May 20 2010 lnussel@suse.de
- change group to Hardware/TV
* Thu Jun  4 2009 lnussel@suse.de
- update to 1.0.4
- fix build failures due to char* casts
* Fri Dec  5 2008 lnussel@suse.de
- initial package version 1.0.3
